## libp11 0.2.3

=== examples/Makefile ===
CFLAGS=-O2 -g $(shell pkg-config --cflags libp11)
LDFLAGS=$(shell pkg-config --libs libp11)

all: auth decrypt getrandom

clean:
	rm auth decrypt getrandom

## libp11 0.2.8

=== examples/Makefile ===
CFLAGS=-O2 -g $(shell pkg-config --cflags libp11) $(shell pkg-config --cflags libcrypto)
LDFLAGS=$(shell pkg-config --libs libp11) $(shell pkg-config --libs libcrypto)

all: auth decrypt getrandom

clean:
	rm auth decrypt getrandom

=== debian/changelog ===
libp11 (0.2.8-5) unstable; urgency=medium

  * debian/control: Standards-Version to 3.9.6 (no changes).
  * debian/control: Canonicalize the Vcs-* headers.
  * debian/control: Update Homepage field for new GitHub home.
  * debian/control: Run wrap-and-sort.

 -- Eric Dorland <eric@debian.org>  Fri, 10 Oct 2014 16:09:29 -0400

libp11 (0.2.8-4) unstable; urgency=medium

  * debian/control, debian/rules: Use dh-autoreconf. Thanks Breno
    Leitao. (Closes: #750494)
  * debian/watch: Update for new GitHub home.

 -- Eric Dorland <eric@debian.org>  Sun, 08 Jun 2014 21:26:36 -0400

libp11 (0.2.8-3) unstable; urgency=low

  * debian/control: Change build dependency on debhelper to >= 9.
  * debian/control: Upgrade Standards-Version to 3.9.4.
  * debian/control, debian/rules: Use autotools-dev.
  * debian/copyright: New DEP-5 copyright file.

 -- Eric Dorland <eric@debian.org>  Sun, 15 Sep 2013 15:24:44 -0400

libp11 (0.2.8-2) unstable; urgency=low

  * debian/compat, debian/control: Use debhelper compat level v9.
  * debian/control, debian/libp11-2.install, debian/libp11-dev.install:
    Convert the package to Multi-Arch.
  * debian/control: Upgrade Standards-Version to 3.9.2.0

 -- Eric Dorland <eric@debian.org>  Sat, 24 Sep 2011 20:05:32 -0400

libp11 (0.2.8-1) unstable; urgency=low

  * New upstream release.
  * debian/libp11-dev.install: Remove unneeded .la file. (Closes: #622516)
  * debian/libp11-1.install, debian/libp11-2.install,
    debian/libp11-1.shlibs, debian/libp11-2.shlibs,
    debian/libp11-1.symbols, debian/libp11-2.symbols, debian/control,
    debian/rules: Bump soname to 2.

 -- Eric Dorland <eric@debian.org>  Sun, 01 May 2011 23:14:12 -0400

libp11 (0.2.7-3) unstable; urgency=low

  * debian/libp11-dev.docs: Fix bad documentation paths. (Closes: #585402)
  * debian/compat, debian/control: Upgrade to debhelper level 8.
  * debian/source/format: Convert to 3.0 (quilt) source format.

 -- Eric Dorland <eric@debian.org>  Sun, 20 Feb 2011 01:04:29 -0500

libp11 (0.2.7-2) unstable; urgency=high

  * debian/rules: Fix dh_strip invocation to use proper debug
    package. (Closes: #594504)
  * debian/control:
    - Bump debhelper Build-Depends to get override_ support.
    - Bump Standards-Version to 3.9.1.0.

 -- Eric Dorland <eric@debian.org>  Thu, 09 Sep 2010 01:37:53 -0400

libp11 (0.2.7-1) unstable; urgency=low

  * New upstream release.

 -- Eric Dorland <eric@debian.org>  Fri, 25 Dec 2009 02:46:56 -0500

libp11 (0.2.6-1) unstable; urgency=low

  * New upstream release.
  * debian/compat: Upgrade to version 7.
  * debian/rules, debian/control: Use dh instead of debhelper.
  * debian/control: Upgrade Standards-Version to 3.8.3.
  * debian/libp11-1.install,  debian/libp11-1.shlibs, debian/libp11-1.symbols,
    debian/control: Rename libp11-0 to libp11-1

 -- Eric Dorland <eric@debian.org>  Sun, 16 Aug 2009 23:45:00 -0400

libp11 (0.2.4-2) unstable; urgency=low

  * debian/control:
    - Add ${misc:Depends} to packages.
    - Bump Standards-Version to 3.8.1.
    - Change libp11-0-dbg's Section to debug.

 -- Eric Dorland <eric@debian.org>  Mon, 06 Apr 2009 03:51:15 -0400

libp11 (0.2.4-1) unstable; urgency=low

  * New upstream release.
  * debian/libp11-0.symbols: 
    - Add Build-Depends-Package header.
    - Add changes for 0.2.4. Some symbols were removed as the exports were
      tightened. The soname was not bumped, but as no one should be using
      those symbols it should be ok.

 -- Eric Dorland <eric@debian.org>  Sun, 08 Mar 2009 21:25:39 -0400

libp11 (0.2.3-2) unstable; urgency=low

  * debian/control: 
    - Set Priority to extra for the -dbg package, as the override file says.
    - Add Homepage and Vcs-* headers.
  * debian/libp11-0.symbols: Add symbols file for new symbol based
    dependency resolution.
  * debian/libp11-0.shlibs: Bump version for last upstream release.

 -- Eric Dorland <eric@debian.org>  Thu, 22 Nov 2007 22:55:45 -0500

libp11 (0.2.3-1) unstable; urgency=low

  * New upstream release.
  * debian/control: 
    - Bump Standards-Version to 3.7.2.2.
    - Use ${binary:Version} instead of ${Source-Version}.

 -- Eric Dorland <eric@debian.org>  Tue, 17 Jul 2007 22:23:31 -0400

libp11 (0.2.2-2) unstable; urgency=low

  * debian/watch: Fix completely screwed up watch file, looks like it was
    still half example.
  * debian/libp11-0.shlibs: Bump shlibs version, I think there are new
    symbols in this version.

 -- Eric Dorland <eric@debian.org>  Sun, 11 Jun 2006 01:25:03 -0400

libp11 (0.2.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Standards-Version to 3.7.2.0.
    - Add -dbg package. 
    - Need at least debhelper 5.
  * debian/compat: Debhelper level to 5.
  
 -- Eric Dorland <eric@debian.org>  Sat, 10 Jun 2006 01:08:21 -0400

libp11 (0.2.1-2) unstable; urgency=low

  * debian/control:
    - libp11-dev needs to depend of pkg-config.
    - Rename libp11-1 to libp11-0, since that is the real soname.
    - Conflict and Replace libp11-1.
  * debian/libp11-1.*: Rename to debian/libp11-0.*.
  * debian/libp11-0.shlibs: Fix soname and shlib dependency. 
  

 -- Eric Dorland <eric@debian.org>  Tue,  6 Dec 2005 02:14:42 -0500

libp11 (0.2.1-1) unstable; urgency=low

  * New upstream release.
  * debian/libp11-1.shlibs: Bump dependency.
  * debian/copyright: Include RSA license info. svn2cl license is not
    necessary, it's not in the tarball.

 -- Eric Dorland <eric@debian.org>  Sat, 26 Nov 2005 19:20:30 -0500

libp11 (0.2.0-1) unstable; urgency=low

  * Initial release.

 -- Eric Dorland <eric@debian.org>  Wed, 23 Nov 2005 01:32:21 -0500

=== debian/control ===
Source: libp11
Section: libdevel
Priority: optional
Maintainer: Eric Dorland <eric@debian.org>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libltdl3-dev,
               libssl-dev,
               pkg-config
Standards-Version: 3.9.6
Homepage: https://github.com/OpenSC/libp11
Vcs-Git: git://anonscm.debian.org/pkg-opensc/libp11.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-opensc/libp11.git

Package: libp11-dev
Architecture: any
Depends: libp11-2 (= ${binary:Version}),
         libssl-dev,
         pkg-config,
         ${misc:Depends}
Description: pkcs#11 convenience library - development files
 Libp11 is a library to simplify using smart cards via PKCS#11
 modules.  It was spun of the OpenSC project but can be used with any
 pkcs#11 module.
 .
 This package contains the header files and static libraries.

Package: libp11-2
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: pkcs#11 convenience library
 Libp11 is a library to simplify using smart cards via PKCS#11
 modules.  It was spun of the OpenSC project but can be used with any
 pkcs#11 module.

Package: libp11-2-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: libp11-2 (= ${binary:Version}), ${misc:Depends}
Description: pkcs#11 convenience library - debugging symbols
 Libp11 is a library to simplify using smart cards via PKCS#11
 modules.  It was spun of the OpenSC project but can be used with any
 pkcs#11 module.
 .
 This package contains the debugging symbols for libp11-2.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_strip:
	dh_strip --dbg-package=libp11-2-dbg

=== debian/watch ===
version=3

https://github.com/OpenSC/libp11/tags (?:.*/)libp11-([\d\.]*)\.tar\.gz

## libp11 0.3.1

=== debian/changelog ===
libp11 (0.3.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch: Switch signature extension.
  * debian/control: Update Vcs-* fields to use https.
  * debian/libp11-2.symbols: Add new symbols.

 -- Eric Dorland <eric@debian.org>  Sat, 30 Jan 2016 00:23:19 -0500

libp11 (0.3.0-2) unstable; urgency=medium

  * debian/control, debian/rules: Drop libp11-2-dbg and use the auto
    generated -dbgsym package.
  * debian/control: Bump Standards-Version to 3.9.6.1.
  * debian/libp11-dev.examples: Ship only the example *.c and README.

 -- Eric Dorland <eric@debian.org>  Fri, 25 Dec 2015 01:22:12 -0500

libp11 (0.3.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/gbp.conf: Use upstream-vcs-tag.
  * debian/copyright, debian/libp11-dev.doc-base, debian/libp11-dev.docs:
    Docs have been dropped.
  * debian/upstream/signing-key.asc, debian/watch: Add upstream signing key.
  * debian/libp11-2.symbols: Add ECDSA symbols.
  * debian/libp11-2.shlibs: Bump shlibs version.

 -- Eric Dorland <eric@debian.org>  Sat, 17 Oct 2015 01:42:40 -0400

libp11 (0.2.8-6) unstable; urgency=medium

  * debian/gbp.conf: Use pristine-tar.
  * debian/control: Set the maintainer to pkg-opensc-maint and mark myself
    as an uploade.

 -- Eric Dorland <eric@debian.org>  Tue, 28 Apr 2015 22:19:54 -0400

=== debian/control ===
Source: libp11
Section: libdevel
Priority: optional
Maintainer: Debian OpenSC Maintainers <pkg-opensc-maint@lists.alioth.debian.org>
Uploaders: Eric Dorland <eric@debian.org>
Build-Depends: debhelper (>= 9.20151219),
               dh-autoreconf,
               libltdl3-dev,
               libssl-dev,
               pkg-config
Standards-Version: 3.9.6.1
Homepage: https://github.com/OpenSC/libp11
Vcs-Git: https://anonscm.debian.org/git/pkg-opensc/libp11.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-opensc/libp11.git

Package: libp11-dev
Architecture: any
Depends: libp11-2 (= ${binary:Version}),
         libssl-dev,
         pkg-config,
         ${misc:Depends}
Description: pkcs#11 convenience library - development files
 Libp11 is a library to simplify using smart cards via PKCS#11
 modules.  It was spun of the OpenSC project but can be used with any
 pkcs#11 module.
 .
 This package contains the header files and static libraries.

Package: libp11-2
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: pkcs#11 convenience library
 Libp11 is a library to simplify using smart cards via PKCS#11
 modules.  It was spun of the OpenSC project but can be used with any
 pkcs#11 module.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_strip:
	dh_strip --ddeb-migration='libp11-2-dbg (<< 0.3.0-2~)'

=== debian/watch ===
version=3

opts=pgpsigurlmangle=s/$/.asc/ \
  https://github.com/OpenSC/libp11/tags (?:.*/)libp11-([\d\.]*)\.tar\.gz

## libp11 0.4.0

=== debian/changelog ===
libp11 (0.4.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #828406)
  * debian/libp11-2.symbols: Add new symbols introduced in 0.4.0.
  * debian/libp11-2.shlibs: Remove unnecessary shlibs file.
  * debian/control: Upgrade Standards-Version to 3.9.8.
  * debian/libp11-2.install, debian/libp11-dev.install: Tighten globs to
    only catch libp11.

 -- Eric Dorland <eric@debian.org>  Sun, 24 Jul 2016 16:54:50 -0400

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                libltdl3-dev,
                libssl-dev,
                pkg-config
-Standards-Version: 3.9.6.1
+Standards-Version: 3.9.8
 Homepage: https://github.com/OpenSC/libp11
 Vcs-Git: https://anonscm.debian.org/git/pkg-opensc/libp11.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-opensc/libp11.git

## libp11 0.4.3

=== debian/changelog ===
libp11 (0.4.3-1) unstable; urgency=medium

  * New upstream release. (Closes: #846774)
  * debian/patches/0001-Add-enginesexecdir-use-it-instead-of-enginesdir.patch:
    Drop upstreamed enginesexecdir patch.
  * debian/control: Switch back to libssl 1.0 for the moment.
  * debian/compat, debian/control, debian/rules: Switch to debhelper 10.
  * debian/libp11-2.symbols: Add LIBP11_2 symbol versions.

 -- Eric Dorland <eric@debian.org>  Tue, 06 Dec 2016 00:16:12 -0500

libp11 (0.4.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control, debian/libengine-pkcs11-openssl.install, debian/rules:
    Move libengine-pkcs11-openssl package here.
  *
    debian/patches/0001-Add-enginesexecdir-use-it-instead-of-enginesdir.patch:
    Use enginesexecdir instead of enginesdir, to work around
    install-exec-hook issues. (Closes: #840728)

 -- Eric Dorland <eric@debian.org>  Sun, 23 Oct 2016 01:13:29 -0400

libp11 (0.4.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #835585)

 -- Eric Dorland <eric@debian.org>  Sun, 18 Sep 2016 22:05:30 -0400

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Debian OpenSC Maintainers <pkg-opensc-maint@lists.alioth.debian.org>
 Uploaders: Eric Dorland <eric@debian.org>
-Build-Depends: debhelper (>= 9.20151219),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 10),
                libltdl3-dev,
-               libssl-dev,
+               libp11-kit-dev,
+               libssl1.0-dev,
                pkg-config
 Standards-Version: 3.9.8
 Homepage: https://github.com/OpenSC/libp11
@@ -16,7 +16,7 @@
 Package: libp11-dev
 Architecture: any
 Depends: libp11-2 (= ${binary:Version}),
-         libssl-dev,
+         libssl1.0-dev,
          pkg-config,
          ${misc:Depends}
 Description: pkcs#11 convenience library - development files
@@ -36,3 +36,22 @@
  Libp11 is a library to simplify using smart cards via PKCS#11
  modules.  It was spun of the OpenSC project but can be used with any
  pkcs#11 module.
+
+Package: libengine-pkcs11-openssl
+Architecture: any
+Multi-Arch: same
+Depends: p11-kit, ${misc:Depends}, ${shlibs:Depends}
+Conflicts: libopensc-openssl
+Replaces: libopensc-openssl
+Provides: libopensc-openssl
+Description: OpenSSL engine for PKCS#11 modules
+ With this engine for OpenSSL you can use OpenSSL library
+ and command line tools with any PKCS#11 implementation as
+ backend for the crypto operations.
+ .
+ Engine_pkcs11 was developed for smart cards, and mostly
+ for the OpenSC PKCS#11 module, but it should work fine with
+ any PKCS#11 implementation.
+ .
+ Engine_pkcs11 is a spin off from OpenSC and replaced
+ libopensc-openssl.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

OPENSSL_VERSION := $(shell pkg-config --modversion openssl | sed "s/[a-z]$$//")
ENGINES_DIR := /usr/lib/$(DEB_HOST_GNU_TYPE)/openssl-$(OPENSSL_VERSION)/engines

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-enginesdir=$(ENGINES_DIR)

override_dh_strip:
	dh_strip --ddeb-migration='libp11-2-dbg (<< 0.3.0-2~)'

## libp11 0.4.4

=== debian/changelog ===
libp11 (0.4.4-1) unstable; urgency=medium

  * New upstream release.

 -- Eric Dorland <eric@debian.org>  Sat, 28 Jan 2017 03:13:56 -0500

## libp11 0.4.7

=== debian/changelog ===
libp11 (0.4.7-3) unstable; urgency=medium

  * debhelper to compat version 11
  * Move VCS urls to salsa.debian.org
  * Standards-Version to 4.1.3
  * Force build-deps on libssl >= 1.1 (Closes: 884320)

 -- Eric Dorland <eric@debian.org>  Fri, 02 Feb 2018 14:48:22 -0500

libp11 (0.4.7-2) unstable; urgency=medium

  * debian/control, debian/libengine-pkcs11-openssl.install, debian/rules:
    Rebuild against libssl 1.1 once again. (Closes: #875349)
  * debian/control, debian/libp11-3.install, debian/libp11-3.symbols,
    debian/rules: Move to openssl 1.1 bumps libp11 soname.
  * debian/control: Standards-Version to 4.1.2.
  * debian/control: Replaces, Conflict libengine-pkcs11-openssl1.1.

 -- Eric Dorland <eric@debian.org>  Mon, 11 Dec 2017 01:13:20 -0500

libp11 (0.4.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/control, debian/libp11-3.install, debian/libp11-3.symbols,
    debian/rules: Revert soname bump.
  * debian/control, debian/libengine-pkcs11-openssl.install, debian/rules:
    Go back to building agaisnt libssl 1.0 for the moment.

 -- Eric Dorland <eric@debian.org>  Mon, 07 Aug 2017 14:58:54 -0400

libp11 (0.4.4-2) experimental; urgency=medium

  * Target to experimental.
  * debian/control, debian/libengine-pkcs11-openssl.install, debian/rules:
    Patch from Luke Faraone to rebuild against libssl 1.1 and fix the path
    to the engine directory. (Closes: #846548)
  * debian/control, debian/libp11-3.install, debian/libp11-3.symbols,
    debian/rules: Moving to openssl 1.1 bumps libp11 soname. (Closes:
    #859547)

 -- Eric Dorland <eric@debian.org>  Sun, 21 May 2017 17:56:55 -0400

=== debian/control ===
Source: libp11
Section: libdevel
Priority: optional
Maintainer: Debian OpenSC Maintainers <pkg-opensc-maint@lists.alioth.debian.org>
Uploaders: Eric Dorland <eric@debian.org>
Build-Depends: debhelper (>= 11),
               libltdl3-dev,
               libp11-kit-dev,
               libssl-dev (>= 1.1),
               pkg-config
Standards-Version: 4.1.3
Homepage: https://github.com/OpenSC/libp11
Vcs-Git: https://salsa.debian.org/opensc-team/libp11.git
Vcs-Browser: https://salsa.debian.org/opensc-team/libp11

Package: libp11-dev
Architecture: any
Depends: libp11-3 (= ${binary:Version}),
         libssl-dev,
         pkg-config,
         ${misc:Depends}
Description: pkcs#11 convenience library - development files
 Libp11 is a library to simplify using smart cards via PKCS#11
 modules.  It was spun of the OpenSC project but can be used with any
 pkcs#11 module.
 .
 This package contains the header files and static libraries.

Package: libp11-3
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libp11-2
Replaces: libp11-2
Description: pkcs#11 convenience library
 Libp11 is a library to simplify using smart cards via PKCS#11
 modules.  It was spun of the OpenSC project but can be used with any
 pkcs#11 module.

Package: libengine-pkcs11-openssl
Architecture: any
Multi-Arch: same
Depends: p11-kit, ${misc:Depends}, ${shlibs:Depends}
Conflicts: libopensc-openssl, libengine-pkcs11-openssl1.1
Replaces: libopensc-openssl, libengine-pkcs11-openssl1.1
Provides: libopensc-openssl, libengine-pkcs11-openssl1.1
Description: OpenSSL engine for PKCS#11 modules
 With this engine for OpenSSL you can use OpenSSL library
 and command line tools with any PKCS#11 implementation as
 backend for the crypto operations.
 .
 Engine_pkcs11 was developed for smart cards, and mostly
 for the OpenSC PKCS#11 module, but it should work fine with
 any PKCS#11 implementation.
 .
 Engine_pkcs11 is a spin off from OpenSC and replaced
 libopensc-openssl.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

OPENSSL_VERSION := \
  $(shell pkg-config --modversion openssl | \sed "s/[a-z]$$//" | cut -d . -f -2)
ENGINES_DIR := /usr/lib/$(DEB_HOST_GNU_TYPE)/engines-$(OPENSSL_VERSION)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-enginesdir=$(ENGINES_DIR)

## libp11 0.4.9

=== debian/changelog ===
libp11 (0.4.9-4) unstable; urgency=medium

  * Drop old override for --enginesdir.
    The defaults are now correct. Thanks James Bottomley for the report.
    (Closes: 923208)

 -- Eric Dorland <eric@debian.org>  Wed, 27 Feb 2019 02:28:09 -0500

libp11 (0.4.9-3) unstable; urgency=medium

  * Add correct Breaks/Replaces on libengine-pkcs11-openssl1.1 (Closes: 913066)

 -- Eric Dorland <eric@debian.org>  Mon, 19 Nov 2018 00:30:17 -0500

libp11 (0.4.9-2) unstable; urgency=medium

  * Add libengine-pkcs11-openssl1.1 transitional package (Closes: 884199)

 -- Eric Dorland <eric@debian.org>  Sun, 04 Nov 2018 15:13:07 -0500

libp11 (0.4.9-1) unstable; urgency=medium

  * New upstream release
  * Fix watch file to fetch signature file
  * Import new upstream signing key from Michał Trojnara
  * Standards-Version to 4.2.1.1
  * Add Rules-Requires-Root: no
  * Add new symbols introduced in 0.4.9

 -- Eric Dorland <eric@debian.org>  Sun, 30 Sep 2018 18:36:02 -0400

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
                libp11-kit-dev,
                libssl-dev (>= 1.1),
                pkg-config
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1.1
+Rules-Requires-Root: no
 Homepage: https://github.com/OpenSC/libp11
 Vcs-Git: https://salsa.debian.org/opensc-team/libp11.git
 Vcs-Browser: https://salsa.debian.org/opensc-team/libp11
@@ -43,8 +44,9 @@
 Architecture: any
 Multi-Arch: same
 Depends: p11-kit, ${misc:Depends}, ${shlibs:Depends}
-Conflicts: libopensc-openssl, libengine-pkcs11-openssl1.1
-Replaces: libopensc-openssl, libengine-pkcs11-openssl1.1
+Conflicts: libopensc-openssl
+Breaks: libengine-pkcs11-openssl1.1 (<< 0.4.9-2)
+Replaces: libopensc-openssl, libengine-pkcs11-openssl1.1 (<< 0.4.9-2)
 Provides: libopensc-openssl, libengine-pkcs11-openssl1.1
 Description: OpenSSL engine for PKCS#11 modules
  With this engine for OpenSSL you can use OpenSSL library
@@ -57,3 +59,11 @@
  .
  Engine_pkcs11 is a spin off from OpenSC and replaced
  libopensc-openssl.
+
+Package: libengine-pkcs11-openssl1.1
+Section: oldlibs
+Architecture: any
+Multi-Arch: same
+Depends: libengine-pkcs11-openssl (= ${binary:Version}), ${misc:Depends}
+Description: dummy package for upgrades from libengine-pkcs11-openssl1.1
+ Can be safely removed.

## libp11 0.4.10

=== debian/changelog ===
libp11 (0.4.10-1) unstable; urgency=medium

  [ Eric Dorland ]
  * New upstream release
  * Switch to debhelper compat level 12
  * Standards-Version to 4.3.0.3

 -- Eric Dorland <eric@debian.org>  Sun, 07 Jul 2019 02:04:13 -0400

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Debian OpenSC Maintainers <pkg-opensc-maint@lists.alioth.debian.org>
 Uploaders: Eric Dorland <eric@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                libltdl3-dev,
                libp11-kit-dev,
                libssl-dev (>= 1.1),
                pkg-config
-Standards-Version: 4.2.1.1
+Standards-Version: 4.3.0.3
 Rules-Requires-Root: no
 Homepage: https://github.com/OpenSC/libp11
 Vcs-Git: https://salsa.debian.org/opensc-team/libp11.git

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.asc/ \
  https://github.com/OpenSC/libp11/releases .*/download/(?:.*/)libp11-([\d\.]*)\.tar\.gz

## libp11 0.4.11

=== debian/changelog ===
libp11 (0.4.11-1build3) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 13:14:15 +0100

libp11 (0.4.11-1build2) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Wed, 24 Nov 2021 13:59:23 +0000

libp11 (0.4.11-1build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:17:15 +0200

libp11 (0.4.11-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version to 4.5.0.3
  * Drop upstreamed patch

 -- Eric Dorland <eric@debian.org>  Sat, 17 Oct 2020 22:48:01 -0400

libp11 (0.4.10-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Eric Dorland ]
  * Add patch for "fix use-after-free on PKCS11_pkey_meths." (Closes: 969559)

 -- Eric Dorland <eric@debian.org>  Sun, 13 Sep 2020 02:10:42 -0400

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: libp11
 Section: libdevel
 Priority: optional
-Maintainer: Debian OpenSC Maintainers <pkg-opensc-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenSC Maintainers <pkg-opensc-maint@lists.alioth.debian.org>
 Uploaders: Eric Dorland <eric@debian.org>
 Build-Depends: debhelper-compat (= 12),
                libltdl3-dev,
                libp11-kit-dev,
                libssl-dev (>= 1.1),
                pkg-config
-Standards-Version: 4.3.0.3
+Standards-Version: 4.5.0.3
 Rules-Requires-Root: no
 Homepage: https://github.com/OpenSC/libp11
 Vcs-Git: https://salsa.debian.org/opensc-team/libp11.git

## libp11 0.4.12

=== debian/changelog ===
libp11 (0.4.12-3) unstable; urgency=medium

  * Team upload
  * Patch: Defer initializing crypto routines (Closes: #1079985)

 -- Bastian Germann <bage@debian.org>  Thu, 29 Aug 2024 17:01:15 +0200

libp11 (0.4.12-2) unstable; urgency=medium

  * Team upload
  * Add BSD-2-clause
  * Fix lintian: symbols-file-missing-build-depends-package-field
  * Drop .la file (Closes: #925485)
  * lintian: Fix depends-on-obsolete-package

 -- Bastian Germann <bage@debian.org>  Thu, 16 May 2024 08:46:58 +0200

libp11 (0.4.12-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062563

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 16:14:03 +0000

libp11 (0.4.12-1) unstable; urgency=medium

  * Team upload
  * Build-Depends: Drop versioned constraint on libssl-dev

  [ Debian Janitor ]
  * Apply multi-arch hints

  [ Andreas Hasenack ]
  * d/t/{control,engine-smoke}: add simple pcks11 openssl engine smoke test
  * d/t/{control,engine}: a more thorough pkcs11 engine test, using the
    software-based smart card implementation softhsm2 (Closes: #1027021)

 -- Bastian Germann <bage@debian.org>  Mon, 21 Aug 2023 14:21:43 +0200

libp11 (0.4.12-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release (Closes: #1017385, #1017386)
  * Drop transitional package (Closes: #1011065)

 -- Bastian Germann <bage@debian.org>  Fri, 09 Dec 2022 12:58:32 +0000

=== debian/control ===
Source: libp11
Section: libdevel
Priority: optional
Maintainer: Debian OpenSC Maintainers <pkg-opensc-maint@lists.alioth.debian.org>
Uploaders: Eric Dorland <eric@debian.org>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 12),
               libltdl3-dev,
               libp11-kit-dev,
               libssl-dev,
               pkgconf
Standards-Version: 4.5.0.3
Rules-Requires-Root: no
Homepage: https://github.com/OpenSC/libp11
Vcs-Git: https://salsa.debian.org/opensc-team/libp11.git
Vcs-Browser: https://salsa.debian.org/opensc-team/libp11

Package: libp11-dev
Architecture: any
Depends: libp11-3t64 (= ${binary:Version}),
         libssl-dev,
         ${misc:Depends}
Multi-Arch: same
Description: pkcs#11 convenience library - development files
 Libp11 is a library to simplify using smart cards via PKCS#11
 modules.  It was spun of the OpenSC project but can be used with any
 pkcs#11 module.
 .
 This package contains the header files and static libraries.

Package: libp11-3t64
Provides: ${t64:Provides}
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libp11-3 (<< ${source:Version}), libp11-2
Replaces: libp11-3, libp11-2
Description: pkcs#11 convenience library
 Libp11 is a library to simplify using smart cards via PKCS#11
 modules.  It was spun of the OpenSC project but can be used with any
 pkcs#11 module.

Package: libengine-pkcs11-openssl
Architecture: any
Multi-Arch: same
Depends: p11-kit, ${misc:Depends}, ${shlibs:Depends}
Description: OpenSSL engine for PKCS#11 modules
 With this engine for OpenSSL you can use OpenSSL library
 and command line tools with any PKCS#11 implementation as
 backend for the crypto operations.
 .
 Engine_pkcs11 was developed for smart cards, and mostly
 for the OpenSC PKCS#11 module, but it should work fine with
 any PKCS#11 implementation.
 .
 Engine_pkcs11 is a spin off from OpenSC and replaced
 libopensc-openssl.

## libp11 0.4.13

=== debian/changelog ===
libp11 (0.4.13-1~bpo12+2) bookworm-backports; urgency=medium

  * Add myself to Uploaders: for the bookworm-backports branch.

 -- Roland Mas <lolando@debian.org>  Mon, 27 Oct 2025 10:10:31 +0100

libp11 (0.4.13-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * Revert 64-bit time_t transition.

 -- Roland Mas <lolando@debian.org>  Thu, 23 Oct 2025 17:39:57 +0200

libp11 (0.4.13-1) unstable; urgency=medium

  * New upstream release
  * Remove upstreamed Defer-initializing-crypto-routines.patch
  * Drop now unnecessary fix-upstream-soname-madness.patch
  * Add new symbols

 -- Eric Dorland <eric@debian.org>  Tue, 31 Dec 2024 00:44:25 -0500

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: libdevel
 Priority: optional
 Maintainer: Debian OpenSC Maintainers <pkg-opensc-maint@lists.alioth.debian.org>
-Uploaders: Eric Dorland <eric@debian.org>
-Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 12),
+Uploaders: Eric Dorland <eric@debian.org>,
+           Roland Mas <lolando@debian.org>,
+Build-Depends: debhelper-compat (= 12),
                libltdl3-dev,
                libp11-kit-dev,
                libssl-dev,
                pkgconf
-Standards-Version: 4.5.0.3
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/OpenSC/libp11
 Vcs-Git: https://salsa.debian.org/opensc-team/libp11.git
@@ -16,7 +17,7 @@
 
 Package: libp11-dev
 Architecture: any
-Depends: libp11-3t64 (= ${binary:Version}),
+Depends: libp11-3 (= ${binary:Version}),
          libssl-dev,
          ${misc:Depends}
 Multi-Arch: same
@@ -27,15 +28,14 @@
  .
  This package contains the header files and static libraries.
 
-Package: libp11-3t64
-Provides: ${t64:Provides}
+Package: libp11-3
 Architecture: any
 Multi-Arch: same
 Section: libs
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libp11-3 (<< ${source:Version}), libp11-2
-Replaces: libp11-3, libp11-2
+Breaks: libp11-2
+Replaces: libp11-2
 Description: pkcs#11 convenience library
  Libp11 is a library to simplify using smart cards via PKCS#11
  modules.  It was spun of the OpenSC project but can be used with any

## libp11 0.4.16

=== debian/changelog ===
libp11 (0.4.16-2) unstable; urgency=medium

  * Switch to debhelper 13
  * Add not-installed file
  * Install ossl-modules

 -- Eric Dorland <eric@debian.org>  Thu, 14 Aug 2025 16:12:28 -0400

libp11 (0.4.16-1) unstable; urgency=medium

  * New upstream release
  * Add new library symbols

 -- Eric Dorland <eric@debian.org>  Mon, 11 Aug 2025 13:43:30 -0400

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,8 @@
 Section: libdevel
 Priority: optional
 Maintainer: Debian OpenSC Maintainers <pkg-opensc-maint@lists.alioth.debian.org>
-Uploaders: Eric Dorland <eric@debian.org>,
-           Roland Mas <lolando@debian.org>,
-Build-Depends: debhelper-compat (= 12),
+Uploaders: Eric Dorland <eric@debian.org>
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
                libltdl3-dev,
                libp11-kit-dev,
                libssl-dev,
@@ -17,7 +16,7 @@
 
 Package: libp11-dev
 Architecture: any
-Depends: libp11-3 (= ${binary:Version}),
+Depends: libp11-3t64 (= ${binary:Version}),
          libssl-dev,
          ${misc:Depends}
 Multi-Arch: same
@@ -28,14 +27,15 @@
  .
  This package contains the header files and static libraries.
 
-Package: libp11-3
+Package: libp11-3t64
+Provides: ${t64:Provides}
 Architecture: any
 Multi-Arch: same
 Section: libs
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libp11-2
-Replaces: libp11-2
+Breaks: libp11-3 (<< ${source:Version}), libp11-2
+Replaces: libp11-3, libp11-2
 Description: pkcs#11 convenience library
  Libp11 is a library to simplify using smart cards via PKCS#11
  modules.  It was spun of the OpenSC project but can be used with any

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

%:
	dh $@

execute_after_dh_install:
	find -name pkcs11.la -delete

=== debian/tests/control ===
Tests: engine-smoke
Depends: @, opensc-pkcs11, openssl
Restrictions: superficial

Tests: engine
Depends: @, opensc-pkcs11, openssl, gnutls-bin, softhsm2
Restrictions: needs-root, allow-stderr

=== debian/watch ===
version=4

opts=searchmode=plain,pgpsigurlmangle=s/$/.asc/ \
  https://api.github.com/repos/OpenSC/libp11/releases https://github.com/OpenSC/libp11/releases/download/libp11-[\d\.]+/libp11-([\d\.]+)\.tar\.gz

## libp11 0.4.17

=== debian/changelog ===
libp11 (0.4.17-1) unstable; urgency=medium

  * New upstream release
  * Re-export upstream signing key without extra signatures.

 -- Eric Dorland <eric@debian.org>  Thu, 05 Feb 2026 23:46:11 -0500

## libp11 0.4.18

=== debian/changelog ===
libp11 (0.4.18-1) unstable; urgency=medium

  * New upstream release

 -- Eric Dorland <eric@debian.org>  Wed, 18 Feb 2026 14:20:15 -0500
